import * as model from './model';
import * as koa from './koa';
import * as timestamp from './timestamp';
import * as dataLevel from './data-level';
export declare type NModelType = (typeof NModel & dataLevel.DataLevelModelType & koa.KoaMiddlewaresType & timestamp.TimestampModelType);
export interface NModel extends koa.KoaMiddlewares, timestamp.TimestampModel {
}
export declare class NModel extends model.DocumentModel {
}
